# coding: utf-8

"""
    VMware Aria Automation Assembler / Service Broker API

    A multi-cloud API for Cloud Automation Services  The APIs that list collections of resources also support OData like implementation. Below query params can be used across Assembler / Service Broker entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/catalog/api/items?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/catalog/api/items?$top=10&$skip=2```  3. `page` and `size` - page used in conjunction with `$size` helps in pagination of resources.      ```/catalog/api/items?page=0&size=5```  4. `$filter` - `$filter` returns a subset of resources that satisfy the given predicate expression.      ```     /catalog/api/items?$filter=startswith(name, 'Act')     /catalog/api/items?$filter=toupper(name) eq 'ACTIVATE'     /catalog/api/items?$filter=substringof('renameVM', name)     /catalog/api/items?$filter=name eq 'ABCD'  # noqa: E501

    OpenAPI spec version: 2020-08-25
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class InlineResponse20045(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'id': 'str',
        'description': 'str',
        'created_at': 'datetime',
        'schema': 'DeploymentapiresourcesresourceIdactionsSchema',
        'form_id': 'str',
        'external_id': 'str'
    }

    attribute_map = {
        'id': 'id',
        'description': 'description',
        'created_at': 'createdAt',
        'schema': 'schema',
        'form_id': 'formId',
        'external_id': 'externalId'
    }

    def __init__(self, id=None, description=None, created_at=None, schema=None, form_id=None, external_id=None):  # noqa: E501
        """InlineResponse20045 - a model defined in Swagger"""  # noqa: E501
        self._id = None
        self._description = None
        self._created_at = None
        self._schema = None
        self._form_id = None
        self._external_id = None
        self.discriminator = None
        if id is not None:
            self.id = id
        if description is not None:
            self.description = description
        if created_at is not None:
            self.created_at = created_at
        if schema is not None:
            self.schema = schema
        if form_id is not None:
            self.form_id = form_id
        if external_id is not None:
            self.external_id = external_id

    @property
    def id(self):
        """Gets the id of this InlineResponse20045.  # noqa: E501

        Version ID  # noqa: E501

        :return: The id of this InlineResponse20045.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this InlineResponse20045.

        Version ID  # noqa: E501

        :param id: The id of this InlineResponse20045.  # noqa: E501
        :type: str
        """

        self._id = id

    @property
    def description(self):
        """Gets the description of this InlineResponse20045.  # noqa: E501

        Description  # noqa: E501

        :return: The description of this InlineResponse20045.  # noqa: E501
        :rtype: str
        """
        return self._description

    @description.setter
    def description(self, description):
        """Sets the description of this InlineResponse20045.

        Description  # noqa: E501

        :param description: The description of this InlineResponse20045.  # noqa: E501
        :type: str
        """

        self._description = description

    @property
    def created_at(self):
        """Gets the created_at of this InlineResponse20045.  # noqa: E501

        Created At  # noqa: E501

        :return: The created_at of this InlineResponse20045.  # noqa: E501
        :rtype: datetime
        """
        return self._created_at

    @created_at.setter
    def created_at(self, created_at):
        """Sets the created_at of this InlineResponse20045.

        Created At  # noqa: E501

        :param created_at: The created_at of this InlineResponse20045.  # noqa: E501
        :type: datetime
        """

        self._created_at = created_at

    @property
    def schema(self):
        """Gets the schema of this InlineResponse20045.  # noqa: E501


        :return: The schema of this InlineResponse20045.  # noqa: E501
        :rtype: DeploymentapiresourcesresourceIdactionsSchema
        """
        return self._schema

    @schema.setter
    def schema(self, schema):
        """Sets the schema of this InlineResponse20045.


        :param schema: The schema of this InlineResponse20045.  # noqa: E501
        :type: DeploymentapiresourcesresourceIdactionsSchema
        """

        self._schema = schema

    @property
    def form_id(self):
        """Gets the form_id of this InlineResponse20045.  # noqa: E501

        Form ID  # noqa: E501

        :return: The form_id of this InlineResponse20045.  # noqa: E501
        :rtype: str
        """
        return self._form_id

    @form_id.setter
    def form_id(self, form_id):
        """Sets the form_id of this InlineResponse20045.

        Form ID  # noqa: E501

        :param form_id: The form_id of this InlineResponse20045.  # noqa: E501
        :type: str
        """

        self._form_id = form_id

    @property
    def external_id(self):
        """Gets the external_id of this InlineResponse20045.  # noqa: E501

        External ID  # noqa: E501

        :return: The external_id of this InlineResponse20045.  # noqa: E501
        :rtype: str
        """
        return self._external_id

    @external_id.setter
    def external_id(self, external_id):
        """Sets the external_id of this InlineResponse20045.

        External ID  # noqa: E501

        :param external_id: The external_id of this InlineResponse20045.  # noqa: E501
        :type: str
        """

        self._external_id = external_id

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(InlineResponse20045, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, InlineResponse20045):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
